<!-- <p *ngIf="message" class="alert d-flex align-items-center mb-4" [ngClass]="{ 'alert-danger': type == messageType.error, 'alert-success': type == messageType.success }">
    <mat-icon [ngClass]="{ 'error': type == messageType.error }" *ngIf="type == messageType.error">
        info
    </mat-icon>
    <mat-icon [ngClass]="{ 'success': type == messageType.success }" *ngIf="type == messageType.success">
        check_circle
    </mat-icon>
    <span>
        {{ message }}
    </span>

</p> -->

<div class="d-flex align-items-center messagewidth c-center-message" *ngIf="isAbsolute && msg">
    <div [ngClass]="{ 'label-icon-error': type == messageType.error, 'label-icon': type == messageType.success }" class="label-icon">
        <p class="alert d-flex align-items-center mb-0 p-0" [ngClass]="{ 'alert-danger': type == messageType.error, 'alert-success': type == messageType.success }">
            <mat-icon class="info" [ngClass]="{ 'error': type == messageType.error }" *ngIf="type == messageType.error">
                error
            </mat-icon>
            <mat-icon class="success" [ngClass]="{ 'success': type == messageType.success }" *ngIf="type == messageType.success">
                check_circle
            </mat-icon>
            <span class="{{extraClass}}">
        {{ msg }}
      </span>
        </p>
        <div class="close-icon" *ngIf="closable">
            <span class="k-icon k-i-close" (click)="close()"></span>
        </div>
    </div>
    <!-- <div>
      <button mat-icon-button>
          <mat-icon>close</mat-icon>
      </button>
  </div> -->
</div>

<div class="row justify-content-center" *ngIf="!isAbsolute && msg">
    <div class="col-6 text-left">
        <div class="alert d-flex align-items-center messagewidth" [ngClass]="{ 'alert-danger': type == messageType.error, 'alert-success': type == messageType.success }">

            <div class="icons-wrapper d-flex align-items-center">
                <mat-icon class="error-icon" [ngClass]="{ 'error': type == messageType.error }" *ngIf="type == messageType.error">
                    error
                </mat-icon>
                <mat-icon class="success" [ngClass]="{ 'success': type == messageType.success }" *ngIf="type == messageType.success">
                    check_circle
                </mat-icon>
            </div>

            <div class="message-font d-flex align-items-center {{extraClass}}">
                {{ msg }}
            </div>
        </div>
    </div>
</div>
